#include<bits/stdc++.h>
using namespace std;
void reshenie(){
    long long x,x1,y,y1,a,b;
    cin>>x>>y>>x1>>y1>>a>>b;
    long long otg= (a-abs(x-x1)+1)*(b-abs(y-y1)+1);
    cout<<otg<<endl;

}
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long a;
    cin>>a;
    for(long long i=0;i<a;i++){
        reshenie();
    }
}
